# CEGUI::Scheme Class Reference

A class that groups a set of GUI elements and initialises the system to access those elements. More...

Collaboration diagram for CEGUI::Scheme:

[legend]
List of all members.

## Public Member Functions

void | loadResources (void)
| Loads all resources for this scheme.
void | unloadResources (void)
| Unloads all resources for this scheme. This should be used very carefully.
bool | resourcesLoaded (void) const
| Return whether the resources for this Scheme are all loaded.
const String & | getName (void) const
| Return the name of this Scheme.
| ~Scheme (void)
| Destroys a Scheme object.

## Friends

class | Scheme_xmlHandler
Scheme * | SchemeManager::loadScheme (const String &scheme_filename, const String &resourceGroup)
void | SchemeManager::unloadScheme (const String &scheme_name)

## Classes

struct | AliasMapping
struct | FalagardMapping
struct | LoadableUIElement
struct | UIElementFactory
struct | UIModule

## Detailed Description

A class that groups a set of GUI elements and initialises the system to access those elements.

A GUI Scheme is a high-level construct that loads and initialises various lower-level objects and registers them within the system for usage. So, for example, a Scheme might create some Imageset objects, some Font objects, and register a collection of WindowFactory objects within the system which would then be in a state to serve those elements to client code.

## Constructor & Destructor Documentation

CEGUI::Scheme::~Scheme | ( | void |  | ) |

Destroys a Scheme object.

Returns:
  Nothing

## Member Function Documentation

const String& CEGUI::Scheme::getName | ( | void |  | ) | const`[inline]`

Return the name of this Scheme.

Returns:
  String object containing the name of this Scheme.

void CEGUI::Scheme::loadResources | ( | void |  | ) |

Loads all resources for this scheme.

Returns:
  Nothing.

bool CEGUI::Scheme::resourcesLoaded | ( | void |  | ) | const

Return whether the resources for this Scheme are all loaded.

Returns:
  true if all resources for the Scheme are loaded and available, or false of one or more resource is not currently loaded.

void CEGUI::Scheme::unloadResources | ( | void |  | ) |

Unloads all resources for this scheme. This should be used very carefully.

Returns:
  Nothing.